Subject: bug#77299: eww-auto-rename-buffer 'title interaction with eww-readable-urls

From: Jim Porter <[email-masked]>
Date: Thu, 12 Jun 2025 08:54:06 -0700

On 6/12/2025 5:38 AM, Keith Amidon wrote:
> I had originally thought of trying to do it more-or-less likes this but 
> it seemed like it would be a quite large change to code I wasn't that 
> familiar with so I went with something more contained to get things 
> working. It might take me a while, but I can give this approach a second 
> more sustained try and see how it looks.

I wrote the 'eww-readable-urls' feature (though not the original 
readable mode code), so I have a fairly good idea of how things work in 
this area. If you're interested in working on a patch, I'm happy to 
provide some guidance, or if you just want it to work right, I could 
write the patch.